### Constructor

# Gtk Svg new_from_resource

since: 4.22

#### Declaration [src]

    GtkSvg*
    gtk_svg_new_from_resource (
      const char* path
    )

#### Description [src]

Parses the SVG data in the resource and creates a paintable.

Available since: 4.22

#### Parameters

`path`

  Type: `const char*`

  The resource path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSvg`

The paintable.

The caller of the function takes ownership of the data, and is responsible for freeing it.